/*
 * Note: this file originally auto-generated by mib2c using
 *  $
 *
 * $Id:$
 */
#ifndef DOT1QPORTVLANTABLE_OIDS_H
#define DOT1QPORTVLANTABLE_OIDS_H

#ifdef __cplusplus
extern "C" {
#endif


/* column number definitions for table dot1qPortVlanTable */
#define DOT1QPORTVLANTABLE_OID              1,3,6,1,2,1,17,7,1,4,5


#define COLUMN_DOT1QPVID         1
#define COLUMN_DOT1QPVID_FLAG    (0x1 << 0)
    
#define COLUMN_DOT1QPORTACCEPTABLEFRAMETYPES         2
#define COLUMN_DOT1QPORTACCEPTABLEFRAMETYPES_FLAG    (0x1 << 1)
    
#define COLUMN_DOT1QPORTINGRESSFILTERING         3
#define COLUMN_DOT1QPORTINGRESSFILTERING_FLAG    (0x1 << 2)
    
#define COLUMN_DOT1QPORTGVRPSTATUS         4
#define COLUMN_DOT1QPORTGVRPSTATUS_FLAG    (0x1 << 3)
    
#define COLUMN_DOT1QPORTGVRPFAILEDREGISTRATIONS         5
    
#define COLUMN_DOT1QPORTGVRPLASTPDUORIGIN         6
    
#define COLUMN_DOT1QPORTRESTRICTEDVLANREGISTRATION         7
#define COLUMN_DOT1QPORTRESTRICTEDVLANREGISTRATION_FLAG    (0x1 << 4)
    

#define DOT1QPORTVLANTABLE_MIN_COL   COLUMN_DOT1QPVID
#define DOT1QPORTVLANTABLE_MAX_COL   COLUMN_DOT1QPORTRESTRICTEDVLANREGISTRATION
    


#ifdef __cplusplus
}
#endif

#endif /* DOT1QPORTVLANTABLE_OIDS_H */
